Package org.apache.solr.common.params

# Enum Class CommonParams.EchoParamStyle

java.lang.Object
java.lang.Enum<CommonParams.EchoParamStyle>
org.apache.solr.common.params.CommonParams.EchoParamStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<CommonParams.EchoParamStyle>`, `java.lang.constant.Constable`

Enclosing interface:
  `CommonParams`

public static enum CommonParams.EchoParamStyle extends Enum<CommonParams.EchoParamStyle>
valid values for: `echoParams`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`EXPLICIT`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static CommonParams.EchoParamStyle`
`get(String v)`
`static CommonParams.EchoParamStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CommonParams.EchoParamStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXPLICIT

public static final CommonParams.EchoParamStyle EXPLICIT

### ALL

public static final CommonParams.EchoParamStyle ALL

### NONE

public static final CommonParams.EchoParamStyle NONE

## Method Details

### values

public static CommonParams.EchoParamStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CommonParams.EchoParamStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static CommonParams.EchoParamStyle get(String v)